cd ../../src

# Raw models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw training.learning_rate\=7e-5 training.num_train_epochs\=6 training.per_device_train_batch_size\=32 +training.weight_decay\=0.0' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert/raw/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw training.learning_rate\=7e-5 training.num_train_epochs\=6 training.per_device_train_batch_size\=32 +training.weight_decay\=0.0' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert/raw/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw training.learning_rate\=3e-5 training.num_train_epochs\=14 training.per_device_train_batch_size\=32 +training.weight_decay\=0.0' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert/raw/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw training.learning_rate\=3e-5 training.num_train_epochs\=15 training.per_device_train_batch_size\=4 +training.weight_decay\=0.1' seeds=[23419,705525,4837,10671619,1084218,43] cuda_devices=[0,1,2,3,4,5] output_dir='../workdir/run_train_models/distilbert/raw/conll'

# Raw SN models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw +ue.use_spectralnorm\=True spectralnorm_layer\=last training.learning_rate\=2e-5 training.num_train_epochs\=12 training.per_device_train_batch_size\=32 +training.weight_decay\=0.0' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert/raw_sn/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw +ue.use_spectralnorm\=True spectralnorm_layer\=last training.learning_rate\=9e-6 training.num_train_epochs\=6 training.per_device_train_batch_size\=4 +training.weight_decay\=0.01' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert/raw_sn/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw +ue.use_spectralnorm\=True spectralnorm_layer\=last training.learning_rate\=1e-4 training.num_train_epochs\=11 training.per_device_train_batch_size\=64 +training.weight_decay\=0.01' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert/raw_sn/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 model.model_name_or_path\=distilbert-base-cased ue.use_selective\=False ue.reg_type\=raw +ue.use_spectralnorm\=True spectralnorm_layer\=last training.learning_rate\=7e-5 training.num_train_epochs\=13 training.per_device_train_batch_size\=4 +training.weight_decay\=0.1' seeds=[23419,705525,4837,10671619,1084218,43] cuda_devices=[0,1,2,3,4,5] output_dir='../workdir/run_train_models/distilbert/raw_sn/conll'







# CER models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr ue.lamb\=0.001 training.learning_rate\=2e-5 training.num_train_epochs\=4 training.per_device_train_batch_size\=16 +training.weight_decay\=0.1' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert/cer/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr ue.lamb\=0.05 training.learning_rate\=3e-5 training.num_train_epochs\=14 training.per_device_train_batch_size\=16 +training.weight_decay\=0.1' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert/cer/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr ue.lamb\=0.005 training.learning_rate\=9e-6 training.num_train_epochs\=10 training.per_device_train_batch_size\=8 +training.weight_decay\=0.01' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert/cer/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr ue.lamb\=0.006 training.learning_rate\=5e-5 training.num_train_epochs\=15 training.per_device_train_batch_size\=4 +training.weight_decay\=0.01' seeds=[23419,705525,4837,10671619,1084218,43] cuda_devices=[0,1,2,3,4,5] output_dir='../workdir/run_train_models/distilbert/cer/conll'

# CER SN models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.005 training.learning_rate\=7e-5 training.num_train_epochs\=4 training.per_device_train_batch_size\=64 +training.weight_decay\=0.01' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert/cer_sn/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.008 training.learning_rate\=9e-6 training.num_train_epochs\=8 training.per_device_train_batch_size\=4 +training.weight_decay\=0.1' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert/cer_sn/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.006 training.learning_rate\=7e-5 training.num_train_epochs\=10 training.per_device_train_batch_size\=64 +training.weight_decay\=0.01' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert/cer_sn/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=reg-curr +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.01 training.learning_rate\=1e-4 training.num_train_epochs\=11 training.per_device_train_batch_size\=32 +training.weight_decay\=0.01' seeds=[23419,705525,4837,10671619,1084218,43] cuda_devices=[0,1,2,3,4,5] output_dir='../workdir/run_train_models/distilbert/cer_sn/conll'


# Now calc UE
#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/mrpc/models/mrpc/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/last'
#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/cola/models/cola/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/last'
#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/sst2/models/sst2/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/last'

# all
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/mrpc/models/mrpc/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/all'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/cola/models/cola/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/all'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/sst2/models/sst2/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/all'

# DPP 2
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/mrpc/models/mrpc/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/dpp'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/cola/models/cola/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/dpp'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/sst2/models/sst2/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/dpp'

# DPP with OOD
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/mrpc/models/mrpc/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/cola/models/cola/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/sst2/models/sst2/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/dpp_with_ood'

# maha
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/mrpc/models/mrpc/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/maha'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/cola/models/cola/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/maha'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/raw/sst2/models/sst2/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/maha'


# Now estimate maha with SN model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/raw_sn/mrpc/models/mrpc/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/raw_sn/mrpc/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/raw_sn/cola/models/cola/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/raw_sn/cola/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/raw_sn/sst2/models/sst2/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/raw_sn/sst2/maha_sn'



# Finally, calc metrics
# last
#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/mrpc/last'
#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/cola/last'
#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/sst2/last'
# all
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/mrpc/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/cola/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/sst2/all'
# dpp2
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/mrpc/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/cola/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/sst2/dpp'
# dpp with ood
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/mrpc/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/cola/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/sst2/dpp_with_ood'
# maha
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/mrpc/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/mrpc/maha'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/cola/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/cola/maha'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw/sst2/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/sst2/maha'
# sn maha
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw_sn/mrpc/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw_sn/mrpc/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw_sn/cola/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw_sn/cola/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/raw_sn/sst2/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw_sn/sst2/maha_sn'




#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/raw/conll/models/conll2003/' args='ue\=mc ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/last'
# all
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/raw/conll/models/conll2003/' args='ue\=mc ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/all'
# DPP 2, raw model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/raw/conll/models/conll2003/' args='ue\=mc-dpp ue.use_cache\=True do_ue_estimate\=True ue.calibrate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.committee_size\=100 ue.dropout.max_frac\=0.6 ue.dropout.mask_name_for_mask\=rbf' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/dpp'
# DPP with ood, raw model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/raw/conll/models/conll2003/' args='ue\=mc-dpp ue.use_cache\=True do_ue_estimate\=True ue.dropout.use_ood_sampling\=True ue.calibrate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.committee_size\=100 ue.dropout.max_frac\=0.6 ue.dropout.mask_name_for_mask\=rbf' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/dpp_with_ood'
# Maha
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/raw/conll/models/conll2003/' args='ue\=mahalanobis ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=raw ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/maha'
# Maha SN
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/raw_sn/conll/models/conll2003/' args='ue\=mahalanobis ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=raw ue.use_selective\=False model.model_name_or_path\=distilbert-base-cased ue.use_spectralnorm\=True spectralnorm_layer\=last' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/raw_sn/conll/maha_sn'

#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/conll/last'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/conll/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/conll/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/conll/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/raw/conll/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw/conll/maha'
# SN

HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/raw_sn/conll/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/raw_sn/conll/maha_sn'














# Now CER model
# Now calc UE
#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/mrpc/models/mrpc/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/last'
#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/cola/models/cola/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/last'
#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/sst2/models/sst2/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/last'

# all
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/mrpc/models/mrpc/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/all'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/cola/models/cola/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/all'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/sst2/models/sst2/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/all'

# DPP 2
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/mrpc/models/mrpc/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/dpp'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/cola/models/cola/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/dpp'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/sst2/models/sst2/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/dpp'

# DPP with OOD
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/mrpc/models/mrpc/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/cola/models/cola/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/sst2/models/sst2/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/dpp_with_ood'

# maha
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/mrpc/models/mrpc/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/maha'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/cola/models/cola/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/maha'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/cer/sst2/models/sst2/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/maha'


# Now estimate maha with SN model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/cer_sn/mrpc/models/mrpc/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/cer_sn/mrpc/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/cer_sn/cola/models/cola/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/cer_sn/cola/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/cer_sn/sst2/models/sst2/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/cer_sn/sst2/maha_sn'



# Finally, calc metrics
# last
#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/mrpc/last'
#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/cola/last'
#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/sst2/last'
# all
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/mrpc/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/cola/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/sst2/all'
# dpp2
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/mrpc/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/cola/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/sst2/dpp'
# dpp with ood
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/mrpc/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/cola/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/sst2/dpp_with_ood'
# maha
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/mrpc/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/mrpc/maha'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/cola/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/cola/maha'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer/sst2/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/sst2/maha'
# sn maha
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer_sn/mrpc/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer_sn/mrpc/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer_sn/cola/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer_sn/cola/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/cer_sn/sst2/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer_sn/sst2/maha_sn'




#HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/cer/conll/models/conll2003/' args='ue\=mc ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/last'
# all
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/cer/conll/models/conll2003/' args='ue\=mc ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/all'
# DPP 2, cer model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/cer/conll/models/conll2003/' args='ue\=mc-dpp ue.use_cache\=True do_ue_estimate\=True ue.calibrate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.committee_size\=100 ue.dropout.max_frac\=0.6 ue.dropout.mask_name_for_mask\=rbf' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/dpp'
# DPP with ood, cer model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/cer/conll/models/conll2003/' args='ue\=mc-dpp ue.use_cache\=True do_ue_estimate\=True ue.dropout.use_ood_sampling\=True ue.calibrate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.committee_size\=100 ue.dropout.max_frac\=0.6 ue.dropout.mask_name_for_mask\=rbf' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/dpp_with_ood'
# Maha
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/cer/conll/models/conll2003/' args='ue\=mahalanobis ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=metric ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/maha'
# Maha SN
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/cer_sn/conll/models/conll2003/' args='ue\=mahalanobis ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=metric ue.use_selective\=True ue.reg_type\=reg-curr model.model_name_or_path\=distilbert-base-cased ue.use_spectralnorm\=True spectralnorm_layer\=last' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/cer_sn/conll/maha_sn'

#HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/conll/last'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/conll/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/conll/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/conll/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/cer/conll/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer/conll/maha'
# SN

HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/cer_sn/conll/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/cer_sn/conll/maha_sn'

